class SettingsJSON {
  PrintWriter newFile;
  boolean darkMode;
  IntList listeParametres;
  JSONObject json;
  String folder = "";

  void verifyIfFileExist() {
    try {
      json = loadJSONObject("data/settings.json");
      json.getString("folder", "");
    }
    catch (NullPointerException e) {
      newFile = createWriter("data/settings.json");
      newFile.println("{}");
      newFile.flush();
      newFile.close();
      json = loadJSONObject("data/settings.json");
      json.setString("folder", "");
      saveJSONObject(json, "data/settings.json");
    }
  }

  void changeDarkMode() {
    json = loadJSONObject("data/settings.json");
    boolean newSett = !json.getBoolean("Darkmode");
    json.setBoolean("Darkmode", newSett);
    saveJSONObject(json, "data/settings.json");
  }

  boolean getMode() {
    json = loadJSONObject("data/settings.json");
    return json.getBoolean("Darkmode");
  }

  void initSetts() {
    json = loadJSONObject("data/settings.json");
    try {
      darkMode = json.getBoolean("Darkmode");
    }
    catch(NullPointerException e) {
      println(e);
      json.setBoolean("Darkmode", false);
      saveJSONObject(json, "data/settings.json");
    }
  }

  String loadFolder() {
    /* On stock tous les parametres dans un fichier json situé dans le dossier data.
     Chaque paramètres a sa variable, dans la liste on a des booléens convertie en entier qui sonr dans cette classe, ainsi que dans le fichier json.
     */
    //listeParametres = new IntList();
    verifyIfFileExist();
    json = loadJSONObject("data/settings.json");
    folder = json.getString("folder");
    if (folder == null || folder == "") {
      pathIsExisting = false;
    }
    println(json.getString("folder"));
    return folder;
    //darkMode = json.getBoolean("darkmode");
    //chaosMode = json.getBoolean("chaosmode");
  }

  void changeFoldera(String newFolder) {  // Que pour des booléens pour l'instant donc on prend le param et on l'inverse
    println('a');
    verifyIfFileExist();
    json = loadJSONObject("data/settings.json");
    json.setString("folder", newFolder);
    saveJSONObject(json, "data/settings.json");
  }

  void writeSizeWindow() {
    verifyIfFileExist();
    json = loadJSONObject("data/settings.json");
    json.setInt("width", width);
    json.setInt("height", height);
    saveJSONObject(json, "data/settings.json");
  }

  int[] loadSizeWindows() {
    verifyIfFileExist();
    int[] taille = new int[2];
    try {

      json = loadJSONObject("data/settings.json");
      taille[0] = json.getInt("width");
    }
    catch(RuntimeException a) {
      taille[0] = 800;
    }

    try {
      json = loadJSONObject("data/settings.json");
      taille[1] = json.getInt("height");
    }
    catch(RuntimeException b) {
      taille[1] = 800;
    }
    return taille;
  }
}
